Bug 62603 - Run run-api-tests on bots in debug mode
Summary: Run run-api-tests on bots in debug mode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57513
  Show dependency treegraph
 
Reported: 2011-06-13 15:06 PDT by Dmitry Lomov
Modified: 2011-06-17 17:23 PDT (History)
8 users (show)

See Also:


Attachments
Proposed fix (2.08 KB, patch)
2011-06-13 15:14 PDT, Dmitry Lomov
no flags Details | Formatted Diff | Diff
Added comment explaining why debug mode only (2.27 KB, patch)
2011-06-13 15:25 PDT, Dmitry Lomov
slewis: review+
Details | Formatted Diff | Diff
BuildAndTestFactory fixed (2.27 KB, patch)
2011-06-15 17:47 PDT, Dmitry Lomov
levin: review-
Details | Formatted Diff | Diff
Uploading correct patch this time (2.39 KB, patch)
2011-06-16 09:44 PDT, Dmitry Lomov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Lomov 2011-06-13 15:06:18 PDT
Make sure TestWebKitAPI runs on bots in debug mode at least. (61812 prevents us from running in release mode yet)
Comment 1 Dmitry Lomov 2011-06-13 15:14:29 PDT
Created attachment 97015 [details]
Proposed fix
Comment 2 Eric Seidel (no email) 2011-06-13 15:17:52 PDT
Comment on attachment 97015 [details]
Proposed fix

Why only debug mode?
Comment 3 Eric Seidel (no email) 2011-06-13 15:18:29 PDT
Comment on attachment 97015 [details]
Proposed fix

I see.  We should add a comment pointing to the bug which blocks running them in release mode.  Otherwise this looks OK.
Comment 4 Dmitry Lomov 2011-06-13 15:25:48 PDT
Created attachment 97017 [details]
Added comment explaining why debug mode only
Comment 5 David Levin 2011-06-15 17:23:01 PDT
Comment on attachment 97017 [details]
Added comment explaining why debug mode only 

This looks good to me. If no one else has objections, I'll r+ it tomorrow.

Thanks!
Comment 6 Stephanie Lewis 2011-06-15 17:30:08 PDT
Comment on attachment 97017 [details]
Added comment explaining why debug mode only 

View in context: https://bugs.webkit.org/attachment.cgi?id=97017&action=review

Jus the one question, otherwise r=me

> Tools/BuildSlaveSupport/build.webkit.org-config/master.cfg:556
> +        self.addStep(RunUnitTests)

How come we don't need to check for debug here?
Comment 7 Dmitry Lomov 2011-06-15 17:32:13 PDT
Comment on attachment 97017 [details]
Added comment explaining why debug mode only 

View in context: https://bugs.webkit.org/attachment.cgi?id=97017&action=review

>> Tools/BuildSlaveSupport/build.webkit.org-config/master.cfg:556
>> +        self.addStep(RunUnitTests)
> 
> How come we don't need to check for debug here?

Oh right - good catch! Do we have bots that both build and test?
Comment 8 Stephanie Lewis 2011-06-15 17:38:05 PDT
Yes. SnowLeopard Leaks, some QT and GTK bots, and some of the Chromium new-run-webkit-tests bots.
Comment 9 Dmitry Lomov 2011-06-15 17:47:17 PDT
Created attachment 97378 [details]
BuildAndTestFactory fixed
Comment 10 David Levin 2011-06-15 19:22:41 PDT
Comment on attachment 97378 [details]
BuildAndTestFactory fixed

Something must be wrong. There is no change between this patch and the previous one.
Comment 11 Dmitry Lomov 2011-06-16 09:44:34 PDT
Created attachment 97453 [details]
Uploading correct patch this time

Ugh - sorry for the noise - I do not know what happened.
Comment 12 WebKit Review Bot 2011-06-16 11:46:55 PDT
Comment on attachment 97453 [details]
Uploading correct patch this time

Clearing flags on attachment: 97453

Committed r89054: <http://trac.webkit.org/changeset/89054>
Comment 13 WebKit Review Bot 2011-06-16 11:47:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Ryosuke Niwa 2011-06-17 17:09:42 PDT
api tests are failing on SL debug tests after this patch was landed:
http://build.webkit.org/builders/SnowLeopard%20Intel%20Debug%20%28Tests%29/builds/723
Comment 15 Daniel Bates 2011-06-17 17:22:02 PDT
Comment on attachment 97453 [details]
Uploading correct patch this time

View in context: https://bugs.webkit.org/attachment.cgi?id=97453&action=review

> Tools/BuildSlaveSupport/build.webkit.org-config/master.cfg:316
> +    command = ["perl", "./Tools/Scripts/run-api-tests"]

We should pass the configuration (i.e. Debug/Release) to run-api-tests so that it can call build-api-tests with this configuration.
Comment 16 Daniel Bates 2011-06-17 17:23:04 PDT
(In reply to comment #15)
> We should pass the configuration (i.e. Debug/Release) to run-api-tests so that it can call build-api-tests with this configuration.

Dmitry Lomov filed bug #62918 with regards to this issue.